2019-12-14 23:06 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006137Spring engineGeneralpublic2019-02-21 12:30
ReporterFloris 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006137: access violation crash on loading a savegame
Descriptionwe're new to loading savegames!
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (67,017 bytes) 2019-02-15 23:01 -
    Using writeable configuration source: "C:\Users\Flowris\Documents\My Games\Spring\springsettings.cfg"
    LogOutput initialized. Logging to C:\Users\Flowris\Documents\My Games\Spring\infolog.txt
    ============== <Log Sections> ==============
      Available:
        ArchiveScanner
        AutohostInterface
        BumpWater
        CSMFGroundTextures
        CregSerializer
        DecalsDrawerGL4
        DynWater
        FarTextureHandler
        Font
        GameServer
        GroundMoveType
        KeyBindings
        LuaSocket
        Model
        Net
        Path
        Piece
        RoamMeshDrawer
        Shader
        SkyBox
        Sound
        Texture
        VFS
      Enabled:
        Sound (Notice)
      
      Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    ============== </Log Sections> ==============
    
    ============== <User Config> ==============
      AdvSky = 1
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      CamMode = 1
      CrossAlpha = 0
      Fullscreen = 0
      FullscreenEdgeMove = 0
      GrassDetail = 0
      GroundDecals = 2
      GroundDetail = 180
      GroundScarAlphaFade = 1
      HardwareCursor = 1
      InputTextGeo = 0.26 0.73 0.02 0.028
      LastSelectedMap = DeltaSiegeDry v8
      LastSelectedMod = Balanced Annihilation $VERSION
      LastSelectedScript = Player vs. AI: NullAI 0.1
      LastSelectedSetting = UseNetMessageSmoothingBuffer
      MSAALevel = 8
      MaxNanoParticles = 0
      MaxParticles = 30000
      ScreenshotCounter = 551
      ScrollWheelSpeed = 22
      Shadows = 1
      ShowFPS = 1
      ShowPlayerInfo = 0
      ShowSpeed = 1
      TreeRadius = 1561
      UnitIconDist = 9999
      UnitLodDist = 10000
      UsePBO = 0
      Water = 0
      WindowBorderless = 1
      WindowPosX = 0
      WindowPosY = 0
      WindowedEdgeMove = 0
      XResolution = 1920
      XResolutionWindowed = 2560
      YResolution = 1080
      YResolutionWindowed = 1440
      snd_volbattle = 20
      snd_volmaster = 0
      snd_volmusic = 189
      snd_volunitreply = 50
    ============== </User Config> ==============
    
    ============== <User System> ==============
      Spring Engine Version: 104.0.1-993-gb442982 maintenance
          Build Environment: gcc libstdc++ version 20160603
           Compiler Version: gcc-5.4.0
           Operating System: Windows 10 April 2018 Update (build 17134)
            Hardware Config: Intel(R) Core(TM) i7-8700K CPU @ 3.70GHz; 16333MB RAM, 18765MB pagefile
           Binary Word Size: 32-bit (emulated)
              Process Clock: std::chrono::high_resolution_clock
         Physical CPU Cores: 6
          Logical CPU Cores: 12
    ============== </User System> ==============
    
    [good_fpu_init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [WatchDog::Install] installed (hang-timeout: 10s)
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={3840x2160x24bpp@60Hz} current={3840x2160x24bpp@60Hz}
    	display=1 modes=43 bounds={x=0, y=0, w=3840, h=2160}
    		[ 1] 3840x2160x24bpp@60Hz
    		[ 3] 2560x1600x24bpp@60Hz
    		[ 5] 2560x1440x24bpp@60Hz
    		[11] 1920x1200x24bpp@60Hz
    		[13] 1920x1080x24bpp@60Hz
    		[17] 1680x1050x24bpp@60Hz
    		[21] 1600x1024x24bpp@60Hz
    		[23] 1600x900x24bpp@60Hz
    		[24] 1440x900x24bpp@60Hz
    		[29] 1280x800x24bpp@60Hz
    		[31] 1280x720x24bpp@60Hz
    	display=2 modes=56 bounds={x=3840, y=0, w=3840, h=2160}
    		[ 1] 3840x2160x24bpp@60Hz
    		[ 4] 2560x1600x24bpp@60Hz
    		[ 7] 2560x1440x24bpp@60Hz
    		[14] 1920x1200x24bpp@60Hz
    		[16] 1920x1080x24bpp@60Hz
    		[20] 1680x1050x24bpp@60Hz
    		[24] 1600x1024x24bpp@60Hz
    		[26] 1600x900x24bpp@60Hz
    		[27] 1440x900x24bpp@60Hz
    		[34] 1280x800x24bpp@60Hz
    		[36] 1280x720x24bpp@60Hz
    [GR::CreateSDLWindow] using 8x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
    [GR::CreateSDLWindow] using 8x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
    [GR::LogVersionInfo]
    	SDL version : 2.0.8 (linked) / 2.0.8 (compiled)
    	GL version  : 4.6.0 NVIDIA 398.36
    	GL vendor   : NVIDIA Corporation
    	GL renderer : GeForce GTX 970/PCIe/SSE2
    	GLSL version: 4.60 NVIDIA
    	GLEW version: 2.1.0
    	GPU memory  : 4096MB (total) / 1672MB (available)
    	SDL swap-int: 1
    	
    	ARB shader support        : 1
    	GLSL shader support       : 1
    	FBO extension support     : 1
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 0
    	NPOT-texture support      : 1 (1)
    	S3TC/DXT1 texture support : 1/1
    	texture query-LOD support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 1 (1)
    	seamless cube-map support : 1 (1)
    	frag-depth layout support : 1 (-)
    	
    	max. FBO samples             : 32
    	max. texture size            : 16384
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 31/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 1048576/1048576
    	max. uniform buffer-bindings : 84
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    [GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
    [GR::UpdateGLConfigs]
    [VSync::SetInterval] interval=0 (disabled)
    [GR::UpdateGLGeometry][1] winSize=<1,1>
    [GR::UpdateGLGeometry][2] winSize=<2560,1440>
    [GR::InitGLState]
    [GR::LogDisplayMode] display-mode set to 2560x1440x24bpp@60Hz (windowed::borderless)
    [TexMemPool::Resize] poolSize=134217728 allocSize=0 texCount=0
    [WatchDog::RegisterThread] registering controls for thread [vfsi]
    Using read-write data directory: C:\Users\Flowris\Documents\My Games\Spring\
    Using read-only data directory: C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-993-gb442982 maintenance\
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-993-gb442982 maintenance\base
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\maps
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\games
    Scanning: C:\Users\Flowris\Documents\My Games\Spring\packages
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 511ms
    [WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
    [ThreadPool::SetThreadCount][1] wanted=3 current=1 maximum=6 (init=1)
    [ThreadPool::SetThreadCount][2] workers=2
    [Threading] Main thread CPU affinity mask set: 4092
    [f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (0.0ms)
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::OpenLoopbackDevice] opening default device
    [f=-000001] [Sound] [Sound::OpenLoopbackDevice] unhandled SDL format: 0x8120
    [f=-000001] [Sound] [Sound::Cleanup][SDL_CloseAudioDevice(2)]
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (100.2ms)
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] opening default device "OpenAL Soft"
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] device=06480050 context=0546e058
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Headphones (QCY-QY19 Stereo)]
    [f=-000001] [Sound]     [Speakers (Realtek(R) Audio)]
    [f=-000001] [Sound]     [LG Ultra HD (NVIDIA High Definition Audio)]
    [f=-000001] [Sound]     [Headset (QCY-QY19 Hands-Free)]
    [f=-000001] [Sound]     [U24E590 (NVIDIA High Definition Audio)]
    [f=-000001] [Sound]     [Headphones (QCY-QY19 Stereo)]
    [f=-000001] [Sound]     [Speakers (2- USB Audio Device)]
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={128,255}
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 200ms
    [f=-000001] [CPreGame] server using IP localhost and port 8452
    [f=-000001] [NetProto::InitLocalClient] connecting to local server
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: DeltaSiegeDry v8
    [f=-000001] [PreGame::StartServer]
    	mod-checksum=db2205c0ca396060ca352bb94b6ca01a2563256a4be3f11f53da1574f70f7a4378677b2ce02f65b922f139e559f129c18ca59a71473891856c52e3c61314cf94
    	map-checksum=ad0ff96a60c9402ca8f32654c9ce28451c7201211eb86c670e20c95abdc4d4bc1022dd216389fe71f1a51aa8a9d3070aeb718e20f9b735d0b4a837809900ab86
    [f=-000001] Warning: [UDPListener::TryBindSocket] opening socket on loopback address, other users will not be able to connect!
    [f=-000001] [UDPListener::TryBindSocket] binding UDP socket to IPv6-address ::1 (localhost) on port 8452
    [f=-000001] [UDPListener] successfully bound socket on port 8452
    [f=-000001] [~ScopedOnceTimer][PreGame::StartServer] 41ms
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=0
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=0
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<2560,1440>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<2560,1440>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 2560x1440x24bpp@60Hz (windowed::borderless)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=0
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<2560,1440>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<2560,1440>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 2560x1440x24bpp@60Hz (windowed::borderless)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] [PreGame::UpdateClientNet] added new player "~UnnamedPlayer" with number 1 to team 0 (#active=2)
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: DeltaSiegeDry v8
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using game: Balanced Annihilation $VERSION (archive: bagit.sdd)
    [f=-000001] PreGame::GameDataReceived] recording demo to "C:\Users\Flowris\Documents\My Games\Spring\demos\20190215_225441_DeltaSiegeDry v8_104.0.1-993-gb442982 maintenance.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 1105ms
    [f=-000001] [PreGame::UpdateClientNet] received local player number 1 (team 0, allyteam 1), creating LoadScreen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::LoadGame][1] globalQuit=0 threaded=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Parsing Map Information"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading SMF"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map (81 MB)"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading GameData Definitions"
    [f=-000001] [~ScopedOnceTimer][Loading all definitions: ] 109ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 134ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Radar Icons"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Sound Definitions"
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 568 sounds from gamedata/sounds.lua
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 5ms
    [f=-000001] [Game::LoadGame][2] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Smooth Height Mesh"
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 34ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating QuadField & CEGs"
    [f=-000001] [Init] number of ArmorDefs: 17
    [f=-000001] [RegisterModelFormats] supported (Assimp) model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Unit Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Sky"
    [f=-000001] [Game::LoadGame][3] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Weapon Definitions"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 240ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Unit Definitions"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 45ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Feature Definitions"
    [f=-000001] Error: [GetFeatureDef] could not find FeatureDef "heap"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 16ms
    [f=-000001] [IPathManager::GetInstance] using HAPFS
    [f=-000001] [LoadScreen::SetLoadMessage] text="Initializing Map Features"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ShadowHandler"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating InfoTextureHandler"
    [f=-000001] InfoTexture: shaders
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating GroundDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map Tiles"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Square Textures"
    [f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 1ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating TreeDrawer"
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ProjectileDrawer & UnitDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Projectile Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Water"
    [f=-000001] [Game::LoadGame][4] globalQuit=0 forcedQuit=0
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 10ms
    [f=-000001] [Game::LoadLua] Lua developer mode disabled
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaRules"
    [f=-000001] [AI Loader] ShardLua bot Deactivated!
    [f=-000001] [ChickenDefense: Chicken Overseer] Deactivated!
    [f=-000001] [ChickenDefense: ProgenitorSpawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Defense Spawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Special Damage] Deactivated!
    [f=-000001] Loaded synced gadget:  Get Player Data     <cmd_get_player_data.lua>
    [f=-000001] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=-000001] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=-000001] Loaded synced gadget:  Save/Load           <api_saveload.lua>
    [f=-000001] Loaded synced gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=-000001] [Gaia Critters] gadget:Initialize() Game.mapName=DeltaSiegeDry v8
    [f=-000001] [Gaia Critters] No critter config for this map
    [f=-000001] Loaded synced gadget:  gaia critter units  <gaia_critters.lua>
    [f=-000001] Loaded synced gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded synced gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded synced gadget:  Map TerrainTypes    <map_terraintype.lua>
    [f=-000001] Loaded synced gadget:  Map Tree Replacer   <map_tree_replacer.lua>
    [f=-000001] Loaded synced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=-000001] Loaded synced gadget:  Units Targetting Prioritie  <units_targetting_priorities.lua>
    [f=-000001] Loaded synced gadget:  AI namer            <ai_namer.lua>
    [f=-000001] Loaded synced gadget:  Activity Broadcast  <activity_broadcast.lua>
    [f=-000001] Loaded synced gadget:  Ai Helpers          <ai_helpers.lua>
    [f=-000001] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded synced gadget:  Air Transports Speed  <unit_transports_air_speed.lua>
    [f=-000001] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded synced gadget:  Ally Selected Units  <cmd_selected_units.lua>
    [f=-000001] Loaded synced gadget:  Bet Engine          <cmd_bet_engine.lua>
    [f=-000001] Loaded synced gadget:  Bomber Control      <unit_bomber_control.lua>
    [f=-000001] Loaded synced gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded synced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=-000001] Loaded synced gadget:  Com Counter         <mo_com_counter.lua>
    [f=-000001] Loaded synced gadget:  Commander Crowns    <gfx_crown.lua>
    [f=-000001] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=-000001] Loaded synced gadget:  Continuous Aim      <unit_continuous_aim.lua>
    [f=-000001] Loaded synced gadget:  Controls Unit's maxrange  <unit_custommaxranges.lua>
    [f=-000001] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded synced gadget:  Custom weapon behaviours  <unit_custom_weapons_behaviours.lua>
    [f=-000001] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=-000001] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=-000001] Loaded synced gadget:  Debris Explosions   <gfx_debrisexplosions.lua>
    [f=-000001] Loaded synced gadget:  Debris physics      <feature_debris_physics.lua>
    [f=-000001] Loaded synced gadget:  Decloak when damaged  <unit_decloak_damaged.lua>
    [f=-000001] Loaded synced gadget:  Depthcharge splash  <fx_depthcharge_splash.lua>
    [f=-000001] Loaded synced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=-000001] Loaded synced gadget:  Don't target flyover nukes  <unit_interceptors.lua>
    [f=-000001] Loaded synced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=-000001] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded synced gadget:  Engine Hotfixes for Various Engine Kludges  <engine_hotfixes.lua>
    [f=-000001] Loaded synced gadget:  Experimental Bots Steps Damages  <unit_stomp.lua>
    [f=-000001] Loaded synced gadget:  Explosion_lights    <gfx_explosion_lights.lua>
    [f=-000001] Loaded synced gadget:  FPS Broadcast       <fps_broadcast.lua>
    [f=-000001] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded synced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=-000001] Loaded synced gadget:  GPU mem Broadcast   <gpumem_broadcast.lua>
    [f=-000001] Loaded synced gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=-000001] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded synced gadget:  Load/unload         <unit_airtransport_load_unload.lua>
    [f=-000001] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=-000001] Loaded synced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded synced gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=-000001] Loaded synced gadget:  LupsNanoSpray       <lups_nano_spray.lua>
    [f=-000001] Loaded synced gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=-000001] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=-000001] Loaded synced gadget:  Missile smoke       <fx_missile_smoke.lua>
    [f=-000001] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=-000001] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=-000001] Loaded synced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=-000001] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=-000001] Loaded synced gadget:  On/Off descriptions  <cmd_onoffdesc.lua>
    [f=-000001] Loaded synced gadget:  Only Target Category (surface only)  <unit_onlytargetcategory.lua>
    [f=-000001] Loaded synced gadget:  Only Target Emp-able units  <unit_onlytargetempable.lua>
    [f=-000001] Loaded synced gadget:  Paralyze Damage Multiplier  <unit_paralyze_damage_multiplier.lua>
    [f=-000001] Loaded synced gadget:  Passive Builders v3  <unit_passive_builders.lua>
    [f=-000001] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=-000001] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=-000001] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Lab Hax2    <unit_prevent_lab_hax2.lua>
    [f=-000001] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Nanoframe Blocking Hax  <unit_prevent_nanoframe_blocking_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=-000001] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded synced gadget:  Prevent build Hax   <unit_preventbuildhax.lua>
    [f=-000001] Loaded synced gadget:  Prevent outside-of-map hax  <unit_prevent_aircraft_hax.lua>
    [f=-000001] Loaded synced gadget:  Ranges Fix          <unit_fidorangefix.lua>
    [f=-000001] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded synced gadget:  Reclaim effect      <gfx_reclaim_fx.lua>
    [f=-000001] Loaded synced gadget:  Remove Stop         <cmd_remove_stop.lua>
    [f=-000001] Loaded synced gadget:  Remove Wait         <cmd_remove_wait.lua>
    [f=-000001] Loaded synced gadget:  ReverseMovementHandler  <unit_reverse_move.lua>
    [f=-000001] Loaded synced gadget:  Sea bed Platforms   <unit_platforms.lua>
    [f=-000001] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded synced gadget:  Starburst Missile Liftoff  <fx_missile_starburst_liftoff.lua>
    [f=-000001] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=-000001] Loaded synced gadget:  Stun Control        <unit_stun_control.lua>
    [f=-000001] Loaded synced gadget:  Stun Energy Storage  <unit_stun_energy_storage.lua>
    [f=-000001] Loaded synced gadget:  Stun Metal Storage  <unit_stun_metal_storage.lua>
    [f=-000001] Loaded synced gadget:  System info         <system_info.lua>
    [f=-000001] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=-000001] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded synced gadget:  Tree feller         <gfx_tree_feller.lua>
    [f=-000001] Loaded synced gadget:  TurnRadius          <unit_airunitsturnradius.lua>
    [f=-000001] Loaded synced gadget:  Unally on demand    <cmd_alliance_break.lua>
    [f=-000001] Loaded synced gadget:  UnderwaterPickup    <unit_disallow_underwater_load.lua>
    [f=-000001] Loaded synced gadget:  Unit transportable nanos  <unit_transportable_nanos.lua>
    [f=-000001] Loaded synced gadget:  UnitDefs Turret TurnSpeeds  <unit_turretspeed.lua>
    [f=-000001] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] Loaded synced gadget:  Xmas effects        <unit_xmas.lua>
    [f=-000001] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded synced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=-000001] Loaded synced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded synced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded synced gadget:  lups_cloak_fx.lua   <lups_cloak_fx.lua>
    [f=-000001] Loaded synced gadget:  lups_thrusters.lua  <lups_thrusters.lua>
    [f=-000001] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded synced gadget:  preventcombomb      <mo_preventcombomb.lua>
    [f=-000001] Loaded synced gadget:  subMissile splash   <fx_submissile_splash.lua>
    [f=-000001] Loaded synced gadget:  transport_dies_load_dies  <unit_transport_dies_load_dies.lua>
    [f=-000001] Loaded synced gadget:  unit_combomb_full_damage  <unit_combomb_full_damage.lua>
    [f=-000001] Loaded synced gadget:  AI Prevent Take     <ai_prevent_take.lua>
    [f=-000001] Loaded synced gadget:  AI Resource Multiplier  <ai_resource_multiplier.lua>
    [f=-000001] Loaded synced gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded synced gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded synced gadget:  CustomUnitShaders   <api_custom_unit_shaders.lua>
    [f=-000001] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded synced gadget:  Team Com Ends + dead allyteam blowup  <game_team_com_ends.lua>
    [f=-000001] Loaded synced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded synced gadget:  Voice Notifs        <sfx_voice_notifs_gadget.lua>
    [f=-000001] Loaded synced gadget:  resurrected param   <unit_resurrected.lua>
    [f=-000001] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded synced gadget:  Mobile Unit Paralyze Damage Handler  <unit_paralyze_damage_limit.lua>
    [f=-000001] Loaded synced gadget:  Lups Shield         <lups_shield.lua>
    [f=-000001] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded synced gadget:  Fighter radius      <unit_fighterradius.lua>
    [f=-000001] Loaded synced gadget:  Gadget Profiler     <dbg_gadget_profiler.lua>
    [f=-000001] Loaded synced gadget:  Map Waterlevel      <map_waterlevel.lua>
    [f=-000001] [AI Loader] ShardLua bot Deactivated!
    [f=-000001] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=-000001] Switching to Overview style camera
    [f=-000001] Switching to Spring style camera
    [f=-000001] Switching to Free style camera
    [f=-000001] Switching to Rotatable overhead camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Switching to FPS style camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] [ChickenDefense: Chicken Overseer] Deactivated!
    [f=-000001] [ChickenDefense: ProgenitorSpawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Defense Spawner] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Special Damage] Deactivated!
    [f=-000001] armfgate, 600
    [f=-000001] armgate, 550
    [f=-000001] corfgate, 600
    [f=-000001] corgate, 550
    [f=-000001] Loaded unsynced gadget:  Get Player Data     <cmd_get_player_data.lua>
    [f=-000001] Loaded unsynced gadget:  Save/Load           <api_saveload.lua>
    [f=-000001] Loaded unsynced gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=-000001] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=-000001] Loaded unsynced gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded unsynced gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded unsynced gadget:  Map TerrainTypes    <map_terraintype.lua>
    [f=-000001] Loaded unsynced gadget:  Map Tree Replacer   <map_tree_replacer.lua>
    [f=-000001] Loaded unsynced gadget:  Newbie Info         <gui_newbie_info.lua>
    [f=-000001] Map Sun Handler: Clearing groundSpecularColor via SetSunLighting because map does not change it from default.
    [f=-000001] Loaded unsynced gadget:  Sun Handler         <map_sun_handler.lua>
    [f=-000001] Loaded unsynced gadget:  Units Targetting Prioritie  <units_targetting_priorities.lua>
    [f=-000001] Loaded unsynced gadget:  AI namer            <ai_namer.lua>
    [f=-000001] Loaded unsynced gadget:  Activity Broadcast  <activity_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Ai Helpers          <ai_helpers.lua>
    [f=-000001] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=-000001] Loaded unsynced gadget:  Air Transports Speed  <unit_transports_air_speed.lua>
    [f=-000001] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded unsynced gadget:  Ally Selected Units  <cmd_selected_units.lua>
    [f=-000001] Loaded unsynced gadget:  Bet Engine          <cmd_bet_engine.lua>
    [f=-000001] Loaded unsynced gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded unsynced gadget:  Cancel orders on share  <unit_cancel_orders_on_share.lua>
    [f=-000001] Loaded unsynced gadget:  Commander Crowns    <gfx_crown.lua>
    [f=-000001] Loaded unsynced gadget:  Continuous Aim      <unit_continuous_aim.lua>
    [f=-000001] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Custom weapon behaviours  <unit_custom_weapons_behaviours.lua>
    [f=-000001] Loaded unsynced gadget:  Debris Explosions   <gfx_debrisexplosions.lua>
    [f=-000001] Loaded unsynced gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded unsynced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=-000001] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded unsynced gadget:  Engine Hotfixes for Various Engine Kludges  <engine_hotfixes.lua>
    [f=-000001] Loaded unsynced gadget:  Experimental Bots Steps Damages  <unit_stomp.lua>
    [f=-000001] Loaded unsynced gadget:  Explosion_lights    <gfx_explosion_lights.lua>
    [f=-000001] Loaded unsynced gadget:  FPS Broadcast       <fps_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded unsynced gadget:  Fortification Walls  <unit_fort_walls.lua>
    [f=-000001] Loaded unsynced gadget:  GPU mem Broadcast   <gpumem_broadcast.lua>
    [f=-000001] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=-000001] Loaded unsynced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded unsynced gadget:  Load/unload         <unit_airtransport_load_unload.lua>
    [f=-000001] Loaded unsynced gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded unsynced gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=-000001] Loaded unsynced gadget:  LupsNanoSpray       <lups_nano_spray.lua>
    [f=-000001] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=-000001] Loaded unsynced gadget:  No Share Self-D     <unit_prevent_share_self_d.lua>
    [f=-000001] Loaded unsynced gadget:  Only Target Category (surface only)  <unit_onlytargetcategory.lua>
    [f=-000001] Loaded unsynced gadget:  Only Target Emp-able units  <unit_onlytargetempable.lua>
    [f=-000001] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent Lab Hax2    <unit_prevent_lab_hax2.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent Nanoframe Blocking Hax  <unit_prevent_nanoframe_blocking_hax.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded unsynced gadget:  Prevent build Hax   <unit_preventbuildhax.lua>
    [f=-000001] Loaded unsynced gadget:  Ranges Fix          <unit_fidorangefix.lua>
    [f=-000001] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded unsynced gadget:  Reclaim effect      <gfx_reclaim_fx.lua>
    [f=-000001] Loaded unsynced gadget:  ReverseMovementHandler  <unit_reverse_move.lua>
    [f=-000001] Loaded unsynced gadget:  Sea bed Platforms   <unit_platforms.lua>
    [f=-000001] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded unsynced gadget:  System info         <system_info.lua>
    [f=-000001] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded unsynced gadget:  Thrusters           <lups_thrusters.lua>
    [f=-000001] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded unsynced gadget:  Tree feller         <gfx_tree_feller.lua>
    [f=-000001] Loaded unsynced gadget:  TurnRadius          <unit_airunitsturnradius.lua>
    [f=-000001] Loaded unsynced gadget:  Unally on demand    <cmd_alliance_break.lua>
    [f=-000001] Loaded unsynced gadget:  UnderwaterPickup    <unit_disallow_underwater_load.lua>
    [f=-000001] Loaded unsynced gadget:  UnitDefs Turret TurnSpeeds  <unit_turretspeed.lua>
    [f=-000001] Loaded unsynced gadget:  Xmas effects        <unit_xmas.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_movefix.lua     <cmd_movefix.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_onoffdesc.lua   <cmd_onoffdesc.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_remove_stop.lua  <cmd_remove_stop.lua>
    [f=-000001] Loaded unsynced gadget:  cmd_remove_wait.lua  <cmd_remove_wait.lua>
    [f=-000001] Loaded unsynced gadget:  feature_debris_physics.lua  <feature_debris_physics.lua>
    [f=-000001] Loaded unsynced gadget:  ffa                 <mo_ffa.lua>
    [f=-000001] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded unsynced gadget:  game_globallos.lua  <game_globallos.lua>
    [f=-000001] Loaded unsynced gadget:  game_no_share_to_enemy  <game_no_share_to_enemy.lua>
    [f=-000001] Loaded unsynced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded unsynced gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded unsynced gadget:  mex_spot_finder.lua  <mex_spot_finder.lua>
    [f=-000001] Loaded unsynced gadget:  transport_dies_load_dies  <unit_transport_dies_load_dies.lua>
    [f=-000001] Loaded unsynced gadget:  unit_custommaxranges.lua  <unit_custommaxranges.lua>
    [f=-000001] Loaded unsynced gadget:  AI Prevent Take     <ai_prevent_take.lua>
    [f=-000001] Loaded unsynced gadget:  AI Resource Multiplier  <ai_resource_multiplier.lua>
    [f=-000001] Loaded unsynced gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded unsynced gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded unsynced gadget:  CustomUnitShaders   <api_custom_unit_shaders.lua>
    [f=-000001] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded unsynced gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded unsynced gadget:  Voice Notifs        <sfx_voice_notifs_gadget.lua>
    [f=-000001] Loaded unsynced gadget:  resurrected param   <unit_resurrected.lua>
    [f=-000001] Loaded unsynced gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded unsynced gadget:  Lups Shield         <lups_shield.lua>
    [f=-000001] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded unsynced gadget:  Fighter radius      <unit_fighterradius.lua>
    [f=-000001] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded unsynced gadget:  Gadget Profiler     <dbg_gadget_profiler.lua>
    [f=-000001] Loaded unsynced gadget:  Map Waterlevel      <map_waterlevel.lua>
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaGaia"
    [f=-000001] Loaded UNSYNCED gadget:  Precipitation       <precipitation.lua>
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaUI"
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaSocket Support: enabled
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] LuaUI: Allowing User Widgets
    [f=-000001] Failed to load: gfx_bloom_shader_deferred.lua  (no GetInfo() call)
    [f=-000001] Failed to load: gui_advplayerslist.lua  (duplicate name)
    [f=-000001] [ChickenDefense: Chicken Team Colour] Deactivated!
    [f=-000001] [ChickenDefense: Chicken Panel] Deactivated!
    [f=-000001] Failed to load: gui_top_bar.lua  (duplicate name)
    [f=-000001] Failed to load: map_edge_extension.lua  (duplicate name)
    [f=-000001] Loading widget from mod:   Spy move/reclaim defaults  <unit_default_spy_move_cloaked.lua> ...
    [f=-000001] Loading widget from mod:   Widget Selector     <widget_selector.lua> ...
    [f=-000001] Loading widget from mod:   Unit Stats          <gui_unit_stats.lua> ...
    [f=-000001] Loading widget from mod:   Deferred rendering  <gfx_deferred_rendering.lua> ...
    [f=-000001] Loading widget from mod:   Tooltip             <gui_tooltip.lua> ...
    [f=-000001] Loading widget from user:  Top Bar             <gui_top_bar.lua> ...
    [f=-000001] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=-000001] Loading widget from mod:   TeamStats           <gui_teamstats.lua> ...
    [f=-000001] Loading widget from mod:   Changelog Info      <gui_changelog_info.lua> ...
    [f=-000001] Loading widget from mod:   Commands info       <gui_commands_info.lua> ...
    [f=-000001] Loading widget from mod:   Keybind/Mouse Info  <gui_keybind_info.lua> ...
    [f=-000001] Loading widget from mod:   Metalspot Finder    <api_metalspot_finder.lua> ...
    [f=-000001] Loading widget from mod:   Player Color Palette  <gui_player_color_palette.lua> ...
    [f=-000001] Loading widget from mod:   Shadow Quality Manager  <gfx_shadow_quality_manager.lua> ...
    [f=-000001] Set "shadows" config-parameter to 1
    [f=-000001] Loading widget from mod:   Depth of Field      <gfx_dof.lua> ...
    [f=-000001] DoF shaderlog:
    [f=-000001] 0(29) : warning C7011: implicit cast from "int" to "float"
    0(32) : warning C7011: implicit cast from "int" to "float"
    0(32) : warning C7011: implicit cast from "int" to "float"
    0(46) : warning C7011: implicit cast from "int" to "float"
    0(49) : warning C7011: implicit cast from "int" to "float"
    0(49) : warning C7011: implicit cast from "int" to "float"
    0(53) : warning C7011: implicit cast from "int" to "float"
    0(53) : warning C7011: implicit cast from "int" to "float"
    0(53) : warning C7011: implicit cast from "int" to "float"
    
    [f=-000001] Loading widget from mod:   Vote interface      <gui_vote_interface.lua> ...
    [f=-000001] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=-000001] Loading widget from mod:   GUI-Shader          <api_gfx_gui_shader.lua> ...
    [f=-000001] Loading widget from mod:   MexUpg Helper       <cmd_mex_upgrade_helper.lua> ...
    [f=-000001] Loading widget from mod:   BA cmdcolors        <gfx_mod_cmdcolors.lua> ...
    [f=-000001] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=-000001] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=-000001] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=-000001] Loading widget from user:  Unit status icons   <gui_unit_status_icons.lua> ...
    [f=-000001] Loading widget from mod:   Resurrection Halos  <gui_resurrection_halos.lua> ...
    [f=-000001] Loading widget from mod:   Self-Destruct icons  <gui_selfd_icons.lua> ...
    [f=-000001] Loading widget from mod:   Given Units         <gui_given_units.lua> ...
    [f=-000001] Loading widget from mod:   Fancy Selected Units  <gui_fancy_selected_units.lua> ...
    [f=-000001] Fancy Selected Units-dev:  loaded style... 'Solid Line'
    [f=-000001] Loading widget from mod:   Snow                <gfx_snow.lua> ...
    [f=-000001] Loading widget from mod:   Red Minimap         <gui_red_minimap.lua> ...
    [f=-000001] Loading widget from mod:   Health Bars         <gui_healthbars.lua> ...
    [f=-000001] Loading widget from mod:   Map Info            <gui_mapinfo.lua> ...
    [f=-000001] Loading widget from mod:   Ally Selected Units  <gui_allyselectedunits.lua> ...
    [f=-000001] Loading widget from mod:   Outline             <gfx_outline.lua> ...
    [f=-000001] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=-000001] Loading widget from user:  AdvPlayersList      <gui_advplayerslist.lua> ...
    [f=-000001] Loading widget from mod:   Discord icon        <gui_discord.lua> ...
    [f=-000001] Loading widget from mod:   Clearmapmarks button  <gui_clearmapmarks.lua> ...
    [f=-000001] Loading widget from mod:   AdvPlayersList info  <gui_advplayerslist_displayinfo.lua> ...
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] small digital clock is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Loading widget from mod:   Player-TV           <camera_player_tv.lua> ...
    [f=-000001] Loading widget from mod:   Cloak Fire State 2  <unit_cloakfirestate2.lua> ...
    [f=-000001] Loading widget from mod:   Initial Queue       <unit_initial_queue.lua> ...
    [f=-000001] Loading widget from mod:   CameraFlip          <camera_flip.lua> ...
    [f=-000001] Loading widget from mod:   EMP + decloak range  <gui_emp_decloak_range.lua> ...
    [f=-000001] Loading widget from mod:   Ignore List API     <api_ignore.lua> ...
    [f=-000001] Loading widget from mod:   LOS View            <gfx_los_view.lua> ...
    [f=-000001] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=-000001] Loading widget from mod:   Persistent Build Spacing  <cmd_persistent_build_spacing.lua> ...
    [f=-000001] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=-000001] Loading widget from mod:   RelativeMinimap     <minimap_relative.lua> ...
    [f=-000001] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=-000001] Loading widget from mod:   Show Orders         <gui_show_orders.lua> ...
    [f=-000001] Loading widget from mod:   Statistics Collection  <stats_damage.lua> ...
    [f=-000001] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=-000001] Loading widget from mod:   Unit Finished Sounds  <snd_unit_finished.lua> ...
    [f=-000001] Loading widget from mod:   Stop means Stop     <cmd_stop_selfd.lua> ...
    [f=-000001] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=-000001] Loading widget from mod:   Volume OSD          <snd_volume_osd.lua> ...
    [f=-000001] Loading widget from mod:   gui_transport_weight_limit  <gui_transport_weight_limit.lua> ...
    [f=-000001] Loading widget from mod:   Alternate Chat Keys  <cmd_old_style_chat_keys.lua> ...
    [f=-000001] Loading widget from mod:   Auto First Build Facing  <unit_autofirstbuildfacing.lua> ...
    [f=-000001] Loading widget from mod:   BA LOS colors       <gui_ba_los_colors.lua> ...
    [f=-000001] Loading widget from mod:   Blast Radius        <gui_blast_radius.lua> ...
    [f=-000001] Loading widget from mod:   State Remover       <cmd_state_remove.lua> ...
    [f=-000001] Loading widget from mod:   Camera Remember     <camera_remember_mode.lua> ...
    [f=-000001] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=-000001] Loading widget from mod:   SmartSelect         <unit_smart_select.lua> ...
    [f=-000001] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=-000001] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=-000001] Loading widget from mod:   Autoquit            <cmd_autoquit.lua> ...
    [f=-000001] Loading widget from mod:   AllyCursors         <gui_ally_cursors.lua> ...
    [f=-000001] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=-000001] Loading widget from mod:   Area Mex            <cmd_area_mex.lua> ...
    [f=-000001] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=-000001] Loading widget from mod:   Selected Units Buttons  <gui_selected_units_buttons.lua> ...
    [f=-000001] Loading widget from mod:   Comblast & Dgun Range  <gui_comblast_dgun_range.lua> ...
    [f=-000001] Loading widget from mod:   Red Console (Battle and autohosts)  <gui_red_battleroom.lua> ...
    [f=-000001] Loading widget from mod:   Red Console (In-game chat only)  <gui_red_chatonlyconsole.lua> ...
    [f=-000001] Loading widget from mod:   Area unload         <cmd_area_unload.lua> ...
    [f=-000001] Loading widget from mod:   DGun no ground enemies  <cmd_dgun_no_ground enemies.lua> ...
    [f=-000001] Loading widget from mod:   Attack no ally      <cmd_attack_no_ally.lua> ...
    [f=-000001] Loading widget from mod:   Idle Builders       <gui_idle_builders.lua> ...
    [f=-000001] Loading widget from mod:   DGun no ally        <cmd_dgun_no_ally.lua> ...
    [f=-000001] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=-000001] Loading widget from mod:   Holdfire Fix        <cmd_holdfire_fix.lua> ...
    [f=-000001] Loading widget from mod:   Stockpiler (dynamic)  <unit_stockpile_dynamic.lua> ...
    [f=-000001] Loading widget from mod:   Unit Marker         <gui_unit_marker.lua> ...
    [f=-000001] Loading widget from mod:   Auto Group          <unit_auto_group.lua> ...
    [f=-000001] Loading widget from mod:   ImmobileBuilder     <unit_immobile_builder.lua> ...
    [f=-000001] Loading widget from mod:   Auto Cloak Popups   <unit_auto_cloak_popups.lua> ...
    [f=-000001] Loading widget from mod:   Com DontBreakCloak  <unit_com_dontbreakcloak.lua> ...
    [f=-000001] Loading widget from mod:   Light Effects       <gfx_light_effects.lua> ...
    [f=-000001] Loading widget from user:  Map Edge Extension  <map_edge_extension.lua> ...
    [f=-000001] Loading widget from mod:   Load Own Moving     <unit_load_own_moving.lua> ...
    [f=-000001] Loading widget from mod:   DGun Stall Assist   <unit_dgun_stall_assist.lua> ...
    [f=-000001] Loading widget from mod:   Smart Area Reclaim  <unit_smart_area_reclaim.lua> ...
    [f=-000001] Loading widget from mod:   Factory hold position  <cmd_fac_holdposition.lua> ...
    [f=-000001] Loading widget from mod:   DontMove            <unit_dontmove.lua> ...
    [f=-000001] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=-000001] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=-000001] Loading widget from mod:   BuildBar            <gui_buildbar.lua> ...
    [f=-000001] Loading widget from mod:   Easy Facing         <gui_easyfacing.lua> ...
    [f=-000001] Loading widget from mod:   Attack and Move Notification  <unit_attackmovenotification.lua> ...
    [f=-000001] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=-000001] Loading widget from mod:   Specific Unit Loader  <unit_specific_unit_loader.lua> ...
    [f=-000001] Loading widget from mod:   Passive builders    <unit_passive_builders.lua> ...
    [f=-000001] Loading widget from mod:   GameTypeInfo        <gui_game_type_info.lua> ...
    [f=-000001] Loading widget from mod:   First launch setup  <gfx_firstlaunchsetup.lua> ...
    [f=-000001] Loading widget from mod:   Ecostats            <gui_ecostats.lua> ...
    [f=-000001] Ecostats: widget loaded in spectator mode
    [f=-000001] Loading widget from mod:   Cursors             <gfx_cursors.lua> ...
    [f=-000001] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=-000001] Loading widget from mod:   BA Hotkeys          <cmd_ba_hotkeys.lua> ...
    [f=-000001] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=-000001] Loading widget from mod:   Context Build       <cmd_context_build.lua> ...
    [f=-000001] Loading widget from mod:   Mouse FX            <gui_mouse_fx.lua> ...
    [f=-000001] Loading widget from mod:   Commander Name Tags  <gui_com_nametags.lua> ...
    [f=-000001] Loading widget from mod:   Commands FX         <gui_commands_fx.lua> ...
    [f=-000001] Loading widget from mod:   Mapmarks FX         <gui_mapmarks_fx.lua> ...
    [f=-000001] Loading widget from mod:   Game info           <gui_gameinfo.lua> ...
    [f=-000001] Loading widget from mod:   Disable Bad Widgets  <bad_widget_disabler.lua> ...
    [f=-000001] Disabled 'Ambient Player' (Reason: Ambient bird sounds are highly disliked)
    [f=-000001] Loading widget from mod:   Highlight Unit      <gui_highlight_unit.lua> ...
    [f=-000001] Loading widget from mod:   Rank Icons          <gui_xp.lua> ...
    [f=-000001] Loading widget from mod:   EnemySpotter        <gui_enemy_spotter.lua> ...
    [f=-000001] Loading widget from mod:   Anti Ranges         <gui_anti_ranges.lua> ...
    [f=-000001] Loading widget from mod:   Voice Notifs        <sfx_voice_notifs_widget.lua> ...
    [f=-000001] Loading widget from user:  Hide Mouse          <gui_mouse_cursor_hider.lua> ...
    [f=-000001] Loading widget from user:  SetMaxSpeed100      <setmaxspeed.lua> ...
    [f=-000001] Loading widget from mod:   CommandInsert       <cmd_commandinsert.lua> ...
    [f=-000001] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=-000001] Loading widget from mod:   Set fighters on Fly mode  <unit_set_fighters_fly.lua> ...
    [f=-000001] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=-000001] Loading widget from mod:   replay buttons      <gui_replaybuttons.lua> ...
    [f=-000001] [Replay Control] Replay not detected, Shutting Down.
    [f=-000001] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=-000001] Loading widget from mod:   Under construction gfx  <gfx_undercontruction.lua> ...
    [f=-000001] Loading widget from mod:   Show Builder Queue  <unit_showbuilderqueue.lua> ...
    [f=-000001] Loading widget from mod:   Commander Hurt Vignette  <gui_commanderhurt.lua> ...
    [f=-000001] Loading widget from mod:   Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=-000001] Loading widget from mod:   Lups                <lups_wrapper.lua> ...
    [f=-000001] Loading widget from mod:   Darken map          <gfx_darken_map.lua> ...
    [f=-000001] Loading widget from mod:   CustomFormations2   <cmd_customformations2.lua> ...
    [f=-000001] Loading widget from mod:   Options             <gui_options.lua> ...
    [f=-000001] model shaders is enabled!
    [f=-000001] Set UnitLodDist to 10000
    [f=-000001] Set UnitIconDist to 9999
    [f=-000001] map shaders is enabled!
    [f=-000001] Hardware mouse-cursor is enabled!
    [f=-000001] Ground-decal rendering is enabled!
    [f=-000001] Set "shadows" config-parameter to 1
    [f=-000001] GroundDetail set to 180
    [f=-000001] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=-000001] LuaUI v0.3
    [f=-000001] [Game::LoadGame][5] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalizing PFS"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=92
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=821ec9f
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=a5799497
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=62093c09
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=fa4c045
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=fa4c045 file="cache\104dev-maintenance/paths/DeltaSiegeDry v8.pe-fa4c045.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [16]"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=92
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=821ec9f
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=a5799497
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=62093c09
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=fa4c055
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=fa4c055 file="cache\104dev-maintenance/paths/DeltaSiegeDry v8.pe2-fa4c055.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [32]"
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalized PFS (741ms, checksum 29cb3e57)"
    [f=-000001] [Game::LoadGame][6] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Saved Game"
    [f=0002191] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,14614,0} {chunk,block}Bytes={0,0}
    [f=0002191] Set water rendering mode to 0 (basic)
    [f=0002191] Set water rendering mode to 0 (basic)
    [f=0002191] GameID: 2035675cfd1c42c5db104ae98e1b4571
    [f=0002191] Connection attempt from UnnamedPlayer
    [f=0002191]  -> Version: 104.0.1-993-gb442982 maintenance [Windows 32-bit (emulated)]
    [f=0002191] [Game::ClientReadNet] added new player ~UnnamedPlayer with number 1 to team 0
    [f=0002191]  -> Connection established (given id 1)
    [f=0002191] [Game::ClientReadNet][LOGMSG] sender="~UnnamedPlayer" string="[PreGame::GameDataReceived][map-checksums]
    	server=ad0ff96a60c9402ca8f32654c9ce28451c7201211eb86c670e20c95abdc4d4bc1022dd216389fe71f1a51aa8a9d3070aeb718e20f9b735d0b4a837809900ab86
    	client=ad0ff96a60c9402ca8f32654c9ce28451c7201211eb86c670e20c95abdc4d4bc1022dd216389fe71f1a51aa8a9d3070aeb718e20f9b735d0b4a837809900ab86"
    [f=0002191] [Game::ClientReadNet][LOGMSG] sender="~UnnamedPlayer" string="[PreGame::GameDataReceived][mod-checksums]
    	server=db2205c0ca396060ca352bb94b6ca01a2563256a4be3f11f53da1574f70f7a4378677b2ce02f65b922f139e559f129c18ca59a71473891856c52e3c61314cf94
    	client=db2205c0ca396060ca352bb94b6ca01a2563256a4be3f11f53da1574f70f7a4378677b2ce02f65b922f139e559f129c18ca59a71473891856c52e3c61314cf94"
    [f=0002191] [Game::ClientReadNet][LOGMSG] sender="~UnnamedPlayer" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=eb9969bfd02706f5614df4e38fbd405eb10f55833e1668d7af368ff8bdd5b9a5a95c8ab01ea84c17ddbb628acabd8e12da42d6f5aa760296178fb00a08246bb4]"
    [f=0002191] [Game::ClientReadNet][LOGMSG] sender="~UnnamedPlayer" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=6d313214495bd0baa5c2f4a1e7266687e4a77972ec8d43f1368d056e5cb9a28fd833db91218f656c4b68f040fe571b09685ca7d8531fefb054b4e76fe0651aa0]"
    [f=0002192] Error: Spring 104.0.1-993-gb442982 maintenance has crashed.
    [f=0002192] Error: DLL information:
    [f=0002192] Error: 0x00400000	spring
    [f=0002192] Error: 0x77c50000	ntdll
    [f=0002192] Error: 0x74e20000	KERNEL32
    [f=0002192] Error: 0x77200000	KERNELBASE
    [f=0002192] Error: 0x754c0000	ADVAPI32
    [f=0002192] Error: 0x75a50000	msvcrt
    [f=0002192] Error: 0x10000000	DevIL
    [f=0002192] Error: 0x753f0000	sechost
    [f=0002192] Error: 0x75560000	RPCRT4
    [f=0002192] Error: 0x74510000	SspiCli
    [f=0002192] Error: 0x74500000	CRYPTBASE
    [f=0002192] Error: 0x771a0000	bcryptPrimitives
    [f=0002192] Error: 0x74d10000	IMAGEHLP
    [f=0002192] Error: 0x749f0000	ucrtbase
    [f=0002192] Error: 0x59d20000	GLU32
    [f=0002192] Error: 0x75e30000	SHELL32
    [f=0002192] Error: 0x75bf0000	USER32
    [f=0002192] Error: 0x77180000	win32u
    [f=0002192] Error: 0x75df0000	cfgmgr32
    [f=0002192] Error: 0x547f0000	MSVCP80
    [f=0002192] Error: 0x74760000	GDI32
    [f=0002192] Error: 0x74d40000	shcore
    [f=0002192] Error: 0x54880000	OPENGL32
    [f=0002192] Error: 0x75280000	gdi32full
    [f=0002192] Error: 0x74790000	combase
    [f=0002192] Error: 0x75440000	msvcp_win
    [f=0002192] Error: 0x54750000	MSVCR80
    [f=0002192] Error: 0x773f0000	windows.storage
    [f=0002192] Error: 0x77aa0000	shlwapi
    [f=0002192] Error: 0x77a80000	kernel.appcore
    [f=0002192] Error: 0x75540000	profapi
    [f=0002192] Error: 0x75da0000	powrprof
    [f=0002192] Error: 0x75d90000	FLTLIB
    [f=0002192] Error: 0x77af0000	WS2_32
    [f=0002192] Error: 0x6b800000	OpenAL32
    [f=0002192] Error: 0x6b5c0000	libvorbisfile-3
    [f=0002192] Error: 0x70e40000	libfreetype-6
    [f=0002192] Error: 0x65180000	libfontconfig-1
    [f=0002192] Error: 0x75050000	ole32
    [f=0002192] Error: 0x6ef80000	glew32
    [f=0002192] Error: 0x6c740000	SDL2
    [f=0002192] Error: 0x6d740000	libvorbis-0
    [f=0002192] Error: 0x70880000	libogg-0
    [f=0002192] Error: 0x74b10000	IMM32
    [f=0002192] Error: 0x62e80000	zlib1
    [f=0002192] Error: 0x75150000	OLEAUT32
    [f=0002192] Error: 0x68f40000	libexpat-1
    [f=0002192] Error: 0x72e40000	WINMM
    [f=0002192] Error: 0x72e10000	VERSION
    [f=0002192] Error: 0x72d10000	winmmbase
    [f=0002192] Error: 0x54330000	nvapi
    [f=0002192] Error: 0x75620000	SETUPAPI
    [f=0002192] Error: 0x72330000	dxgi
    [f=0002192] Error: 0x74480000	uxtheme
    [f=0002192] Error: 0x74f00000	MSCTF
    [f=0002192] Error: 0x52410000	nvoglv32
    [f=0002192] Error: 0x71630000	WTSAPI32
    [f=0002192] Error: 0x70df0000	DEVOBJ
    [f=0002192] Error: 0x74dd0000	WINTRUST
    [f=0002192] Error: 0x77a90000	MSASN1
    [f=0002192] Error: 0x745c0000	CRYPT32
    [f=0002192] Error: 0x71360000	ntmarta
    [f=0002192] Error: 0x71390000	dwmapi
    [f=0002192] Error: 0x5e390000	nvspcap
    [f=0002192] Error: 0x71180000	WINSTA
    [f=0002192] Error: 0x751f0000	clbcatq
    [f=0002192] Error: 0x72fe0000	Oleacc
    [f=0002192] Error: 0x689f0000	TextInputFramework
    [f=0002192] Error: 0x6e8d0000	CoreUIComponents
    [f=0002192] Error: 0x6f5c0000	CoreMessaging
    [f=0002192] Error: 0x73d60000	wintypes
    [f=0002192] Error: 0x72810000	shfolder
    [f=0002192] Error: 0x71640000	MMDevApi
    [f=0002192] Error: 0x74300000	PROPSYS
    [f=0002192] Error: 0x729f0000	avrt
    [f=0002192] Error: 0x71530000	AUDIOSES
    [f=0002192] Error: 0x52380000	dsound
    [f=0002192] Error: 0x713c0000	mswsock
    [f=0002192] Error: 0x71420000	DNSAPI
    [f=0002192] Error: 0x77a10000	NSI
    [f=0002192] Error: 0x730c0000	IPHLPAPI
    [f=0002192] Error: 0x71200000	rasadhlp
    [f=0002192] Error: 0x71230000	fwpuclnt
    [f=0002192] Error: 0x72d40000	bcrypt
    [f=0002192] Error: 0x6eb70000	dbghelp
    [f=0002192] Error: Exception: Access violation (0xc0000005)
    [f=0002192] Error: Exception Address: 0x00b9b462
    [f=0002192] Error: Stacktrace for Spring 104.0.1-993-gb442982 maintenance:
    [f=0002192] Error: 	[ProgCtr=00b9b462 StackPtr=026498d0 FramePtr=0264ad28]
    [f=0002192] Error: 	(0) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-993-gb442982 maintenance\spring.exe [0x00B9B462]
    [f=0002192] Error: 	(1) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-993-gb442982 maintenance\spring.exe [0x00B8E155]
    [f=0002192] Error: 	(2) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-993-gb442982 maintenance\spring.exe [0x00C776D2]
    [f=0002192] Error: 	(3) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-993-gb442982 maintenance\spring.exe [0x00BB15BD]
    [f=0002192] Error: 	(4) C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-993-gb442982 maintenance\spring.exe [0x00DED948]
    [f=0002192] [WatchDog::DeregisterThread] deregistering controls for thread [main]
    [f=0002192] Error: [ExitSpringProcess] errorMsg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      C:\Users\Flowris\Documents\My Games\Spring\infolog.txt" msgCaption="Spring: Unhandled exception" mainThread=1
    [f=0002192] Error: [Watchdog::ClearTimer(id)] Invalid thread 4 (_threadId=00000000)
    [f=0002192] [SpringApp::Kill][1] fromRun=0
    [f=0002192] [ThreadPool::SetThreadCount][1] wanted=0 current=3 maximum=6 (init=0)
    [f=0002192] 	[async=0] threads=3 tasks=414 {sum,avg}{exec,wait}time={{-0.000, -0.000}, {0.000, 0.000}}ms
    [f=0002192] 		thread=1 tasks=207 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -2.000, -0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    [f=0002192] 		thread=2 tasks=207 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, 0.000, -0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    [f=0002192] 	[async=1] threads=3 tasks=2 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0002192] 		thread=1 tasks=1 {sum,min,max,avg}{exec,wait}time={{0.000, 0.000, 0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    [f=0002192] 		thread=2 tasks=1 {sum,min,max,avg}{exec,wait}time={{0.000, 0.000, 0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    [f=0002192] [ThreadPool::SetThreadCount][2] workers=0
    [f=0002192] [SpringApp::Kill][2]
    [f=0002192] [Game::KillLua][0] dtor=0 loadscreen=00000000
    [f=0002192] [Game::KillLua][3] dtor=0 luaUI=3dfa3398
    [f=0002192] frames-per-second indicator is enabled!
    [f=0002192] small digital clock is enabled!
    [f=0002192] simulation speed indicator is enabled!
    [f=0002192] [LuaMemPool::LogStats][handle=LuaUI (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,1529546,0} {chunk,block}Bytes={0,0}
    [f=0002192] [Game::KillLua][1] dtor=0 luaGaia=306b6eb0
    [f=0002192] [LuaMemPool::LogStats][handle=LuaGaia (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,1529547,0} {chunk,block}Bytes={0,0}
    [f=0002192] [LuaMemPool::LogStats][handle=LuaGaia (synced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,1529547,0} {chunk,block}Bytes={0,0}
    [f=0002192] [Game::KillLua][2] dtor=0 luaRules=06746008
    [f=0002192] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,1529573,0} {chunk,block}Bytes={0,0}
    [f=0002192] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,1529573,0} {chunk,block}Bytes={0,0}
    [f=0002192] [Game::KillLua][4] dtor=0
    [f=0002192] [WriteDemoFile] writing client-demo "C:\Users\Flowris\Documents\My Games\Spring\demos\20190215_225441_DeltaSiegeDry v8_104.0.1-993-gb442982 maintenance.sdfz" (5361 bytes)
    [f=0002192] [Sound] [Sound::Kill] soundThread.joinable()=1
    [f=0002192] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=0002192] [Sound] [Sound::UpdateThread][3] #sources=128 #items=5
    [f=0002192] [Sound] [Sound::UpdateThread][4] ctx=0546e058 dev=06480050
    [f=0002192] [Sound] [Sound::UpdateThread][5] ctx=0546e058 dev=06480050
    [f=0002192] [Sound] [Sound::Cleanup][alcDestroyContext(0546e058)]
    [f=0002192] [Sound] [Sound::Cleanup][alcCloseDevice(06480050)]
    [f=0002192] [Sound] [Sound::UpdateThread][6]
    [f=0002192] [Game::~CGame][1]
    [f=0002192] [Game::KillLua][0] dtor=1 loadscreen=00000000
    [f=0002192] [Game::KillLua][3] dtor=1 luaUI=00000000
    [f=0002192] [Game::KillLua][1] dtor=1 luaGaia=00000000
    [f=0002192] [Game::KillLua][2] dtor=1 luaRules=00000000
    [f=0002192] [Game::KillLua][4] dtor=1
    [f=0002192] [Game::KillMisc][1]
    [f=0002192] [Game::KillMisc][2]
    [f=0002192] [Game::KillMisc][3]
    [f=0002192] [Game::KillRendering][1]
    [f=0002192] [3DOParser::Kill] allocated 4582 pieces
    [f=0002192] [S3OParser::Kill] allocated 1026 pieces
    [f=0002192] [AssParser::Kill] allocated 0 pieces
    [f=0002192] [Game::KillInterface][1]
    [f=0002192] [Game::KillInterface][2]
    [f=0002192] [Game::KillSimulation][1]
    [f=0002192] [Game::KillSimulation][2]
    [f=0002192] [CCollisionHandler] dis-/continuous tests: 0/0
    [f=0002192] [Game::KillSimulation][3]
    [f=0002192] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0002192] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0002192] [~CPathCache(80x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0002192] [~CPathCache(80x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0002192] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0002192] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0002192] [LosHandler::Kill] raycast instance cache-{hits,misses}={1,1}; shared=0%; cached=50%
    [f=0002192] [Game::KillSimulation][4]
    [f=0002192] [CommonDefHandler::KillStatic] 3033 sound-set data items added
    [f=0002192] [Game::~CGame][2]
    [f=0002192] [Game::~CGame][3]
    [f=0002192] [SpringApp::Kill][3]
    [f=0002192] [NetProto::~CNetProtocol] [LocalConnection::Statistics]
    	1995 bytes sent  
    	3042 bytes recv'd
    
    [f=0002192] [SpringApp::Kill][4] font=06137f50
    [f=0002192] [SpringApp::Kill][5]
    [f=0002192] [SpringApp::Kill][6]
    [SpringApp::Kill][7]
    [LuaSocket] [~CLuaSocketRestrictions] dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [~CBufferedArchive][name=C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-993-gb442982 maintenance\base\springcontent.sdz] 261644 bytes cached in 85 files
    [~CBufferedArchive][name=C:\Users\Flowris\Documents\My Games\Spring\engine\104.0.1-993-gb442982 maintenance\base\spring\bitmaps.sdz] 221292 bytes cached in 2 files
    [SpringApp::Kill][8]
    Error: [Watchdog::DeregisterThread] Invalid thread number 0
    [WatchDog::Uninstall][1] hangDetectorThread=014d482c (joinable=1)
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::Kill][9]
    [~CRectangleOverlapHandler] 0% overlap reduction
    
    txt file icon infolog.txt (67,017 bytes) 2019-02-15 23:01 +
  • ? file icon testsave.ssf (608,238 bytes) 2019-02-15 23:35
  • ? file icon kbottest2.ssf (638,420 bytes) 2019-02-15 23:35

-Relationships
+Relationships

-Notes

~0019726

Floris (reporter)

(... i saw it did load the units though)

~0019727

Floris (reporter)

added savegame file

~0019728

Floris (reporter)

now for real

~0019729

Floris (reporter)

correct file this time

~0019730

Kloot (developer)

rts/Sim/Units/Scripts/CobThread.cpp:392
rts/Sim/Units/Scripts/CobEngine.cpp:85
rts/Sim/Units/Scripts/UnitScriptEngine.cpp:119

native save/load support is (still) sketchy, was this file created using /save or /luasave?

~0019731

Floris (reporter)

via /save

~0019732

Floris (reporter)

ah i see... with /luasave (and fixing/tuning the gadget for ba) it works

~0019750

Kloot (developer)

Fix 625071156f44d21600717ecb9d6602b4e9da5360 committed to develop branch: fix 0006137
script PostLoad runs after unit PostLoad, repo: spring changeset id: 11353
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2019-02-15 23:01 Floris New Issue
2019-02-15 23:01 Floris File Added: infolog.txt
2019-02-15 23:02 Floris Note Added: 0019726
2019-02-15 23:34 Floris Note Added: 0019727
2019-02-15 23:35 Floris File Added: testsave.ssf
2019-02-15 23:35 Floris Note Added: 0019728
2019-02-15 23:35 Floris File Added: kbottest2.ssf
2019-02-15 23:35 Floris Note Added: 0019729
2019-02-15 23:42 Kloot Note Added: 0019730
2019-02-16 00:40 Floris Note Added: 0019731
2019-02-16 00:54 Floris Note Added: 0019732
2019-02-16 13:36 Kloot Assigned To => Kloot
2019-02-16 13:36 Kloot Status new => assigned
2019-02-16 14:57 Kloot Status assigned => resolved
2019-02-16 14:57 Kloot Resolution open => fixed
2019-02-16 14:57 Kloot Fixed in Version => 104.0 +git
2019-02-21 12:29 Kloot Changeset attached => spring develop 62507115
2019-02-21 12:30 Kloot Note Added: 0019750
+Issue History